# PSF-LoginServer - master - net.psforever.services.vehicle.support.TurretUpgrader
PSF - LoginServer - master - net.psforever.services.vehicle.support.TurretUpgrader
Keywords: PSF LoginServer master net.psforever.services.vehicle.support.TurretUpgrader

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package vehicle
  Definition Classes
    services
-  package support
  Definition Classes
    vehicle
- TurretUpgrader

c

net.psforever.services.vehicle.support

# TurretUpgrader 

###
Companion object TurretUpgrader

#### class TurretUpgrader extends SupportActor[Entry]

Source
  TurretUpgrader.scala

Linear Supertypes
SupportActor[Entry], Actor, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TurretUpgrader
2. SupportActor
3. Actor
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new TurretUpgrader()

### Type Members

1.  type Receive = PartialFunction[Any, Unit]
   Definition Classes
     Actor

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def AllMountedWeaponMagazines(target: MountedWeapons): Iterable[AmmoBox]

   From an object that has mounted weapons, parse all of the internal ammunition loaded into all of the weapons.

   From an object that has mounted weapons, parse all of the internal ammunition loaded into all of the weapons.

   target

     the object with mounted weaponry

   returns

     all of the internal ammunition objects

5.  def ClearAll(): Unit
   Definition Classes
     TurretUpgrader → SupportActor
6.  def ClearSpecific(targets: List[PlanetSideGameObject], zone: Zone): Unit
   Definition Classes
     TurretUpgrader → SupportActor
7.  def CreateEntry(obj: PlanetSideGameObject, zone: Zone, upgrade: objects.serverobject.turret.TurretUpgrade.Value, duration: Long): Entry
8.  def FinishUpgradingTurret(entry: Entry)(): Unit

   Finish upgrading the turret by announcing to other players that the weapon type has changed.

   Finish upgrading the turret by announcing to other players that the weapon type has changed. By this point, a prior required action that required that new ammunition objects had to be registered. It is now safe to announce that clients can update to the new weapon.

   entry

     na

9.  def HurryAll(): Unit
   Definition Classes
     TurretUpgrader → SupportActor
10.  def HurrySpecific(targets: List[PlanetSideGameObject], zone: Zone): Unit
    Definition Classes
      TurretUpgrader → SupportActor
11.  def InclusionTest(entry: Entry): Boolean

    Determine whether or not the resulting entry is valid for this process.

    Determine whether or not the resulting entry is valid for this process. The primary purpose of this function should be to determine if the appropriate type of object is being submitted. Override.

    entry

      the entry

    returns

      `true`, if it can be processed; `false`, otherwise

    Definition Classes
      TurretUpgrader → SupportActor
12.  def PartitionTargetsFromList(list: List[Entry], targets: List[Entry], zone: Zone, comparator: SimilarityComparator[Entry] = sameEntryComparator): (List[Entry], List[Entry])
    Definition Classes
      SupportActor
13.  def RetimeFirstTask(now: Long = System.nanoTime): Unit
14.  def UpgradeTurretAmmo(entry: Entry): Unit

    The process of upgrading a turret is nearly complete.

    The process of upgrading a turret is nearly complete. After the upgrade status is changed, the internal structure of the turret's weapons change to suit the configuration. Of special importance are internal ammo supplies of the changing weapon, the original ammunition that must be un-registered, and the new boxes that must be registered so the weapon may be introduced into the game world properly.

    entry

      na

15.  def aroundPostRestart(reason: Throwable): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
16.  def aroundPostStop(): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
17.  def aroundPreRestart(reason: Throwable, message: Option[Any]): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
18.  def aroundPreStart(): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
19.  def aroundReceive(receive: akka.actor.Actor.Receive, msg: Any): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
20.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
21.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
22.  implicit val context: ActorContext
    Definition Classes
      Actor
23.  def debug(msg: String): Unit
    Definition Classes
      SupportActor
24.  def entryManagementBehaviors: Receive
    Definition Classes
      SupportActor
25.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
27.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
28.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
29.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
30.  def info(msg: String): Unit
    Definition Classes
      SupportActor
31.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
32.  var list: List[Entry]
33.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
34.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
35.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
36.  def postRestart(reason: Throwable): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
37.  def postStop(): Unit

    Sufficiently clean up the current contents of these waiting removal jobs.

    Sufficiently clean up the current contents of these waiting removal jobs. Cancel all timers, rush all entries in the lists through their individual steps, then empty the lists. This is an improved `HurryAll`.

    Definition Classes
      TurretUpgrader → Actor
38.  def preRestart(reason: Throwable, message: Option[Any]): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
39.  def preStart(): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
40.  def receive: Receive
    Definition Classes
      TurretUpgrader → Actor
41.  val sameEntryComparator: SimilarityComparator[Entry]
    Definition Classes
      TurretUpgrader → SupportActor
42.  implicit final val self: ActorRef
    Definition Classes
      Actor
43.  final def sender(): ActorRef
    Definition Classes
      Actor
44.  def supervisorStrategy: SupervisorStrategy
    Definition Classes
      Actor
45.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
46.  var task: Cancellable
47.  def toString(): String
    Definition Classes
      AnyRef → Any
48.  def trace(msg: String): Unit
    Definition Classes
      SupportActor
49.  def unhandled(message: Any): Unit
    Definition Classes
      Actor
50.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
51.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
52.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from SupportActor[Entry]

### Inherited from Actor

### Inherited from AnyRef

### Inherited from Any

### Ungrouped